//	(c) 2000-2002 J. Gans (jdg9@cornell.edu), Shalloway Lab, 
//	Cornell University. You can modify and freely distribute 
//	this code, but please keep this header intact.
//
//	Look-and-feel inspired by Xmol 
//	(http://www.networkcs.com/msc/docs/xmol/).
//
//	OpenGL selection code and quaterion rotation matrix
//	formulation from molview demo program by Mark Kilgard
//	(http://reality.sgi.com/opengl/OpenGLforX.html). PostScript
//	rendering also from Mark Kilgard.
//
//	The printing routines are based on code from
//	Craig Fahrnbach <craignan@home.com> via
//	Uwe Kotyczka <kotyczka@bnm-gmbh.de>.
//
//	Covalent bond determination code based on VMD
//	http://www.ks.uiuc.edu/Research/vmd/
//
//	Stride (http://www.embl-heidelberg.de/stride/stride.html)
//	is used for secondary structure determination and has been 
//	included in Qmol with the kind permission of 
//	Dmitrij Frishman, PhD
//	Institute for Bioinformatics
//	GSF - Forschungszentrum fr Umwelt und Gesundheit, GmbH
//	Ingolstdter Landstrae 1,
//	D-85764 Neuherberg, Germany
//	Telephone: +49-89-3187-4201
//	Fax: +49-89-31873585
//	e-mail: d.frishman@gsf.de
//	WWW: http://mips.gsf.de/mips/staff/frishman/
// 
#if !defined(AFX_ANIMATEDIALOG_H__ED2E25BE_E7BC_11D3_A365_00C04F72D141__INCLUDED_)
#define AFX_ANIMATEDIALOG_H__ED2E25BE_E7BC_11D3_A365_00C04F72D141__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// AnimateDialog.h : header file
//

#define		WM_ANIMATE_CLOSE	(WM_USER + 8)
#define		WM_ANIMATE_STOP		(WM_USER + 9)
#define		WM_ANIMATE_FORWARD	(WM_USER + 10)
#define		WM_ANIMATE_REVERSE	(WM_USER + 11)
#define		WM_ANIMATE_ADJUST	(WM_USER + 12)

/////////////////////////////////////////////////////////////////////////////
// CAnimateDialog dialog

class CAnimateDialog : public CDialog
{
// Construction
public:
	CAnimateDialog(CView *pView);
	BOOL Create();
	void SetCurrentStep(int step);
	
	//  A pointer to the "parent" view
	CView *m_pView;

// Dialog Data
	//{{AFX_DATA(CAnimateDialog)
	enum { IDD = IDD_ANIMATE };
	CButton	m_stop_button;
	CButton	m_reverse_button;
	CButton	m_forward_button;
	CSliderCtrl	m_slider;
	CString	m_frame_num;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAnimateDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CAnimateDialog)
	afx_msg void OnAnimateForward();
	afx_msg void OnAnimateReverse();
	afx_msg void OnAnimateStop();
	virtual BOOL OnInitDialog();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnClose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ANIMATEDIALOG_H__ED2E25BE_E7BC_11D3_A365_00C04F72D141__INCLUDED_)
