//	(c) 2000-2002 J. Gans (jdg9@cornell.edu), Shalloway Lab, 
//	Cornell University. You can modify and freely distribute 
//	this code, but please keep this header intact.
//
//	Look-and-feel inspired by Xmol 
//	(http://www.networkcs.com/msc/docs/xmol/).
//
//	OpenGL selection code and quaterion rotation matrix
//	formulation from molview demo program by Mark Kilgard
//	(http://reality.sgi.com/opengl/OpenGLforX.html). PostScript
//	rendering also from Mark Kilgard.
//
//	The printing routines are based on code from
//	Craig Fahrnbach <craignan@home.com> via
//	Uwe Kotyczka <kotyczka@bnm-gmbh.de>.
//
//	Covalent bond determination code based on VMD
//	http://www.ks.uiuc.edu/Research/vmd/
//
//	Stride (http://www.embl-heidelberg.de/stride/stride.html)
//	is used for secondary structure determination and has been 
//	included in Qmol with the kind permission of 
//	Dmitrij Frishman, PhD
//	Institute for Bioinformatics
//	GSF - Forschungszentrum fr Umwelt und Gesundheit, GmbH
//	Ingolstdter Landstrae 1,
//	D-85764 Neuherberg, Germany
//	Telephone: +49-89-3187-4201
//	Fax: +49-89-31873585
//	e-mail: d.frishman@gsf.de
//	WWW: http://mips.gsf.de/mips/staff/frishman/
// 
#if !defined(AFX_ATOMRADIUSDIALOG_H__84A56BEA_3715_4E82_99CA_6AFE41FDBB80__INCLUDED_)
#define AFX_ATOMRADIUSDIALOG_H__84A56BEA_3715_4E82_99CA_6AFE41FDBB80__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// AtomRadiusDialog.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CAtomRadiusDialog dialog
#define		WM_RADIUS_CLOSE		(WM_USER + 15)

class CAtomRadiusDialog : public CDialog
{
// Construction
public:
	CAtomRadiusDialog(CView* pParent);

	BOOL Create();
	BOOL OnInitDialog();
	void ApplyCurrRadius();

protected:
	CView *m_pView;

	int atom_num;
	int elem;

public:

// Dialog Data
	//{{AFX_DATA(CAtomRadiusDialog)
	enum { IDD = IDD_ATOM_RADIUS };
	CListBox	m_elem_list;
	CEdit	m_atom_num;
	float	m_radius;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAtomRadiusDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CAtomRadiusDialog)
	afx_msg void OnTempRadio();
	afx_msg void OnOccRadio();
	afx_msg void OnElementRadio();
	afx_msg void OnSelchangeElememtList();
	afx_msg void OnDefaultRadio();
	afx_msg void OnAtomRadio();
	afx_msg void OnChangeAtomNumEdit();
	afx_msg BOOL OnApplyNow();
	virtual void OnOK();
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ATOMRADIUSDIALOG_H__84A56BEA_3715_4E82_99CA_6AFE41FDBB80__INCLUDED_)
