//	(c) 2000-2002 J. Gans (jdg9@cornell.edu), Shalloway Lab, 
//	Cornell University. You can modify and freely distribute 
//	this code, but please keep this header intact.
//
//	Look-and-feel inspired by Xmol 
//	(http://www.networkcs.com/msc/docs/xmol/).
//
//	OpenGL selection code and quaterion rotation matrix
//	formulation from molview demo program by Mark Kilgard
//	(http://reality.sgi.com/opengl/OpenGLforX.html). PostScript
//	rendering also from Mark Kilgard.
//
//	The printing routines are based on code from
//	Craig Fahrnbach <craignan@home.com> via
//	Uwe Kotyczka <kotyczka@bnm-gmbh.de>.
//
//	Covalent bond determination code based on VMD
//	http://www.ks.uiuc.edu/Research/vmd/
//
//	Stride (http://www.embl-heidelberg.de/stride/stride.html)
//	is used for secondary structure determination and has been 
//	included in Qmol with the kind permission of 
//	Dmitrij Frishman, PhD
//	Institute for Bioinformatics
//	GSF - Forschungszentrum fr Umwelt und Gesundheit, GmbH
//	Ingolstdter Landstrae 1,
//	D-85764 Neuherberg, Germany
//	Telephone: +49-89-3187-4201
//	Fax: +49-89-31873585
//	e-mail: d.frishman@gsf.de
//	WWW: http://mips.gsf.de/mips/staff/frishman/
// 
#if !defined(AFX_CUSTOMRESDIALOG_H__203A2C0F_A005_42AB_A213_149A76BFE40F__INCLUDED_)
#define AFX_CUSTOMRESDIALOG_H__203A2C0F_A005_42AB_A213_149A76BFE40F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CustomResDialog.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CCustomResDialog dialog

#define		WM_RESOLUTION		(WM_USER + 17)

#define		SPLINE_TENSION_MIN		1.0f
#define		SPLINE_TENSION_MAX		2.0f
#define		SPLINE_TENSION_NORM		30

class CCustomResDialog : public CDialog
{
// Construction
public:
	CCustomResDialog(CView *pView);

	BOOL OnInitDialog();
	BOOL Create();
	void UpdateRes(int type);
	
	inline float GetSplineTension(int m_tension)
	{
		return (float)(m_tension)*(SPLINE_TENSION_MAX - SPLINE_TENSION_MIN)/
			SPLINE_TENSION_NORM + SPLINE_TENSION_MIN;
	}

	enum {UPDATE_ATOM, UPDATE_BOND, UPDATE_SELECT, UPDATE_SPLINE, 
		UPDATE_TENSION, UPDATE_RIBBON, CLOSE_DLG};

	CView *m_pView;

	int m_atomRes;
	int m_bondRes;
	int m_selectionRes;
	int m_splineRes;
	int m_splineTension;
	int m_ribbonRes;

// Dialog Data
	//{{AFX_DATA(CCustomResDialog)
	enum { IDD = IDD_CUSTOM_RES_DIALOG };
	CSliderCtrl	m_ribbon_slider;
	CSliderCtrl	m_tension_slider;
	CSliderCtrl	m_spline_slider;
	CSliderCtrl	m_select_slider;
	CSliderCtrl	m_bond_slider;
	CSliderCtrl	m_atom_slider;
	CString	m_atom_txt;
	CString	m_bond_txt;
	BOOL	m_auto_apply;
	CString	m_select_txt;
	CString	m_spline_txt;
	CString	m_tension_txt;
	CString	m_ribbon_txt;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCustomResDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CCustomResDialog)
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnCheckApply();
	afx_msg void OnApply();
	afx_msg void OnClose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CUSTOMRESDIALOG_H__203A2C0F_A005_42AB_A213_149A76BFE40F__INCLUDED_)
