//	(c) 2000-2002 J. Gans (jdg9@cornell.edu), Shalloway Lab, 
//	Cornell University. You can modify and freely distribute 
//	this code, but please keep this header intact.
//
//	Look-and-feel inspired by Xmol 
//	(http://www.networkcs.com/msc/docs/xmol/).
//
//	OpenGL selection code and quaterion rotation matrix
//	formulation from molview demo program by Mark Kilgard
//	(http://reality.sgi.com/opengl/OpenGLforX.html). PostScript
//	rendering also from Mark Kilgard.
//
//	The printing routines are based on code from
//	Craig Fahrnbach <craignan@home.com> via
//	Uwe Kotyczka <kotyczka@bnm-gmbh.de>.
//
//	Covalent bond determination code based on VMD
//	http://www.ks.uiuc.edu/Research/vmd/
//
//	Stride (http://www.embl-heidelberg.de/stride/stride.html)
//	is used for secondary structure determination and has been 
//	included in Qmol with the kind permission of 
//	Dmitrij Frishman, PhD
//	Institute for Bioinformatics
//	GSF - Forschungszentrum fr Umwelt und Gesundheit, GmbH
//	Ingolstdter Landstrae 1,
//	D-85764 Neuherberg, Germany
//	Telephone: +49-89-3187-4201
//	Fax: +49-89-31873585
//	e-mail: d.frishman@gsf.de
//	WWW: http://mips.gsf.de/mips/staff/frishman/
// 
#if !defined(AFX_FLEXCOLORDIALOG_H__F5692646_6E29_44FB_8607_666991146CF2__INCLUDED_)
#define AFX_FLEXCOLORDIALOG_H__F5692646_6E29_44FB_8607_666991146CF2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// FlexColorDialog.h : header file
//

#define		WM_FLEX_COLOR		(WM_USER + 14)
#define		FLEX_COLOR_APPLY	(IDOK + IDCANCEL + 1)
/////////////////////////////////////////////////////////////////////////////
// CFlexColorDialog dialog

class CFlexColorDialog : public CDialog
{
// Construction
public:
	CFlexColorDialog(CWnd* pParent, BOOL m_show_alpha = FALSE);

	BOOL Create();
	BOOL Create(int msg_tag);
	BOOL OnInitDialog();

	CWnd *m_pWnd;
	BOOL show_alpha;
protected:
	int m_msg_tag;
	CRect PaintRect;
	LOGFONT font;
	CFont tmp_font;
	CString text;
	
	COLORREF clr_ref, text_clr, save_text_clr;
	CFont* save_font;
	CBrush *save_brush;
	CSize label_size;
	int save_bkg_mode;
	float blend, one_minus_blend;

	unsigned char r, g, b, a;
	unsigned char tmp_r, tmp_g, tmp_b, tmp_a;
	void UpdateColor(CDC *pDC = NULL);

public:
	void GetRGB(int &m_r, int &m_g, int &m_b);
	void GetRGBA(int &m_r, int &m_g, int &m_b, int &m_a);
	void SetRGB(int m_r, int m_g, int m_b);
	void SetRGBA(int m_r, int m_g, int m_b, int m_a);
	
	void EnableAutoApply()
	{
		m_auto_apply = TRUE;
	};

	void DisableAutoApply()
	{
		m_auto_apply = FALSE;
	};

// Dialog Data
	//{{AFX_DATA(CFlexColorDialog)
	enum { IDD = IDD_FLEX_COLOR_DIALOG };
	CSliderCtrl	m_slide_r;
	CSliderCtrl	m_slide_g;
	CSliderCtrl	m_slide_b;
	CSliderCtrl	m_slide_a;
	CEdit	m_text_r;
	CEdit	m_text_g;
	CEdit	m_text_b;
	CEdit	m_text_a;
	BOOL	m_auto_apply;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFlexColorDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CFlexColorDialog)
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnChangeEditColorB();
	afx_msg void OnChangeEditColorG();
	afx_msg void OnChangeEditColorR();
	virtual void OnCancel();
	virtual void OnOK();
	afx_msg void OnPaint();
	afx_msg void OnApply();
	afx_msg void OnChangeEditColorA();
	afx_msg void OnAutoApply();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FLEXCOLORDIALOG_H__F5692646_6E29_44FB_8607_666991146CF2__INCLUDED_)
