//	(c) 2000-2002 J. Gans (jdg9@cornell.edu), Shalloway Lab, 
//	Cornell University. You can modify and freely distribute 
//	this code, but please keep this header intact.
//
//	Look-and-feel inspired by Xmol 
//	(http://www.networkcs.com/msc/docs/xmol/).
//
//	OpenGL selection code and quaterion rotation matrix
//	formulation from molview demo program by Mark Kilgard
//	(http://reality.sgi.com/opengl/OpenGLforX.html). PostScript
//	rendering also from Mark Kilgard.
//
//	The printing routines are based on code from
//	Craig Fahrnbach <craignan@home.com> via
//	Uwe Kotyczka <kotyczka@bnm-gmbh.de>.
//
//	Covalent bond determination code based on VMD
//	http://www.ks.uiuc.edu/Research/vmd/
//
//	Stride (http://www.embl-heidelberg.de/stride/stride.html)
//	is used for secondary structure determination and has been 
//	included in Qmol with the kind permission of 
//	Dmitrij Frishman, PhD
//	Institute for Bioinformatics
//	GSF - Forschungszentrum fr Umwelt und Gesundheit, GmbH
//	Ingolstdter Landstrae 1,
//	D-85764 Neuherberg, Germany
//	Telephone: +49-89-3187-4201
//	Fax: +49-89-31873585
//	e-mail: d.frishman@gsf.de
//	WWW: http://mips.gsf.de/mips/staff/frishman/

#if !defined(AFX_LIGHTDIALOG_H__E73F570E_387E_4196_B0DC_64D775D1026D__INCLUDED_)
#define AFX_LIGHTDIALOG_H__E73F570E_387E_4196_B0DC_64D775D1026D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// LightDialog.h : header file
//

#include "FlexColorDialog.h"

/////////////////////////////////////////////////////////////////////////////
// CLightDialog dialog

#define		WM_LIGHTING		(WM_USER + 16)

class CLightDialog : public CDialog
{
// Construction
public:
	CLightDialog(CWnd* pParent);   // standard constructor
	~CLightDialog();

	BOOL Create();
	BOOL OnInitDialog();
	CWnd *m_pWnd;
	CFlexColorDialog *flexCDlg;

	typedef enum {FRONT, BACK, TOP, BOTTOM, LEFT, RIGHT, AMBIENT} LightDef;

	void SetLightStatus(LightDef m_l, BOOL m_status);
	BOOL GetLightStatus(LightDef m_l);

	void SetRGB(int m_r, int m_g, int m_b);
	void GetRGB(int &m_r, int &m_g, int &m_b);
	
	void SetMaterialProperties(int m_shiny, int m_specular);
	void GetMaterialProperties(int &m_shiny, int &m_specular);

	unsigned char r, g, b;
	unsigned char shiny, specular;
// Dialog Data
	//{{AFX_DATA(CLightDialog)
	enum { IDD = IDD_LIGHT };
	CSliderCtrl	m_specular_slider;
	CSliderCtrl	m_shiny_slider;
	CEdit	m_r_text;
	CEdit	m_g_text;
	CEdit	m_b_text;
	BOOL	m_auto_apply;
	BOOL	m_back;
	BOOL	m_bottom;
	BOOL	m_front;
	BOOL	m_left;
	BOOL	m_right;
	BOOL	m_top;
	BOOL	m_ambient;
	CString	m_shiny_text;
	CString	m_specular_text;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CLightDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CLightDialog)
	afx_msg void OnApply();
	afx_msg void OnAutoApplyCheck();
	afx_msg void OnChangeBEdit();
	afx_msg void OnBackCheck();
	afx_msg void OnBottomCheck();
	afx_msg void OnFrontCheck();
	afx_msg void OnChangeGEdit();
	afx_msg void OnLeftCheck();
	afx_msg void OnChangeREdit();
	afx_msg void OnRightCheck();
	afx_msg void OnTopCheck();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnColorButton();
	afx_msg LRESULT OnFlexColorMsg(WPARAM wParam, LPARAM lParam);
	afx_msg void OnAmbientCheck();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LIGHTDIALOG_H__E73F570E_387E_4196_B0DC_64D775D1026D__INCLUDED_)
