//	(c) 2000 J. Gans (jdg9@cornell.edu), Shalloway Lab, 
//	Cornell University. You can modify and freely distribute 
//	this code, but please keep this header intact.
//
//	Look-and-feel inspired by Xmol 
//	(http://www.networkcs.com/msc/docs/xmol/).
//
//	OpenGL selection code and quaterion rotation matrix
//	formulation from molview demo program by Mark Kilgard
//	(http://reality.sgi.com/opengl/OpenGLforX.html).
//
//	The printing routines are based on code from
//	Craig Fahrnbach <craignan@home.com> via
//	Uwe Kotyczka <kotyczka@bnm-gmbh.de>.
#if !defined(AFX_QMOLERROR_H__574D5EF2_DE3C_11D3_A360_00C04F72D141__INCLUDED_)
#define AFX_QMOLERROR_H__574D5EF2_DE3C_11D3_A360_00C04F72D141__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// QmolError.h : header file
//
#include "resource.h"

/////////////////////////////////////////////////////////////////////////////
// CQmolError dialog

class CQmolError : public CDialog
{
// Construction
public:
	CQmolError(CWnd* pParent = NULL);   // standard constructor
	
	void PopUpError(char *error);

// Dialog Data
	//{{AFX_DATA(CQmolError)
	enum { IDD = IDD_ERROR_MSG };
	CString	m_error;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CQmolError)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CQmolError)
		// NOTE: the ClassWizard will add member functions here
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/*
 * Define macros for error handling
 */
// Note that the macro names have been changed to QM* to prevent
// namespace collision in the win32 environment.
#define	    QMFatalError(string)	__fatalerror(string, __FILE__, __LINE__)
#define	    QMWarning(string)		__warning(string, __FILE__, __LINE__)

void __fatalerror(const char *mesg, char *file, int line);
void __warning(const char *mesg, char *file, int line);


//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.


#endif // !defined(AFX_QMOLERROR_H__574D5EF2_DE3C_11D3_A360_00C04F72D141__INCLUDED_)
