//	(c) 2000-2002 J. Gans (jdg9@cornell.edu), Shalloway Lab, 
//	Cornell University. You can modify and freely distribute 
//	this code, but please keep this header intact.
//
//	Look-and-feel inspired by Xmol 
//	(http://www.networkcs.com/msc/docs/xmol/).
//
//	OpenGL selection code and quaterion rotation matrix
//	formulation from molview demo program by Mark Kilgard
//	(http://reality.sgi.com/opengl/OpenGLforX.html). PostScript
//	rendering also from Mark Kilgard.
//
//	The printing routines are based on code from
//	Craig Fahrnbach <craignan@home.com> via
//	Uwe Kotyczka <kotyczka@bnm-gmbh.de>.
//
//	Covalent bond determination code based on VMD
//	http://www.ks.uiuc.edu/Research/vmd/
//
//	Stride (http://www.embl-heidelberg.de/stride/stride.html)
//	is used for secondary structure determination and has been 
//	included in Qmol with the kind permission of 
//	Dmitrij Frishman, PhD
//	Institute for Bioinformatics
//	GSF - Forschungszentrum fr Umwelt und Gesundheit, GmbH
//	Ingolstdter Landstrae 1,
//	D-85764 Neuherberg, Germany
//	Telephone: +49-89-3187-4201
//	Fax: +49-89-31873585
//	e-mail: d.frishman@gsf.de
//	WWW: http://mips.gsf.de/mips/staff/frishman/
// 
#ifndef __QMOL_UTIL
#define __QMOL_UTIL

void MakeSphere(int m_listID, int m_resolution);
void MakeDisk(int m_listID, int m_resolution);
void MakeCylinder(int m_listID, GLfloat height, int m_resolution);
void MakeCone(int m_listID, GLfloat height, int m_resolution);

void gluPartialSphere(GLfloat radius, GLint slices, GLint stacks);

void InvertMatrix(GLfloat m[][4]);
void InvertMatrix(GLfloat dest[][4], GLfloat src[][4]);
void InvertMatrix(double m[][3]);
double Det(double m[][3]);

// Compute (x - min)/(max - min) 
float NormalizeByRange(float x, float min, float max);

// Compute x/(max - min) 
float ScaleByRange(float x, float min, float max);

#endif // __QMOL_UTIL